Page MenuHomePhabricator

check if whonix-gw ProxyVM (sys-whonix)'s NetVM is set to 'none'
Closed, ResolvedPublic

Description

Is it possible to check from within sys-whonix to check if its NetVM is set to none using qubesdb-read (or similar)?

Or should just /sbin/ifconfig eth0 be used?

Details

Impact
Normal

Event Timeline

Patrick created this task.Oct 19 2015, 3:44 PM
Patrick raised the priority of this task from to Normal.
Patrick updated the task description. (Show Details)
Patrick added projects: whonixcheck, Whonix 13, Qubes.
Patrick set Impact to Normal.
Patrick added subscribers: Patrick, marmarek, nrgaway.
  • If a NetVM is set, qubesdb-read /qubes-gateway works.
  • If NetVM is set to none, qubesdb-read /qubes-gateway fails.

Is this a sane way to test for it?

I think better would be checking qubesdb-read /qubes-ip. Also checking
eth0 existence should be fine (but only existence, not its configuration

  • as the interface may simply not be yet configured).
Patrick changed the task status from Open to Review.Dec 12 2015, 5:03 AM

improved Qubes settings checks; show a warning if NetVM is set to none:
https://github.com/Whonix/whonixcheck/commit/a5407b75a575af4aaf9a46ce396e8b48a505af19

gateway test: succeeded
workstation test: todo

Patrick closed this task as Resolved.Apr 27 2016, 7:50 PM
Patrick claimed this task.

workstation test: succeeded